## com.thingmagic
Class Gen2.IDS.SL900A

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.IDS
                  com.thingmagic.Gen2.IDS.SL900A

Direct Known Subclasses:
  Gen2.IDS.SL900A.AccessFifo, Gen2.IDS.SL900A.EndLog, Gen2.IDS.SL900A.GetBatteryLevel, Gen2.IDS.SL900A.GetCalibrationData, Gen2.IDS.SL900A.GetLogState, Gen2.IDS.SL900A.GetMeasurementSetup, Gen2.IDS.SL900A.GetSensorValue, Gen2.IDS.SL900A.Initialize, Gen2.IDS.SL900A.SetCalibrationData, Gen2.IDS.SL900A.SetLogLimit, Gen2.IDS.SL900A.SetLogMode, Gen2.IDS.SL900A.SetPassword, Gen2.IDS.SL900A.SetSfeParameters, Gen2.IDS.SL900A.SetShelfLife, Gen2.IDS.SL900A.StartLog

Enclosing class:
  Gen2.IDS

    public static class Gen2.IDS.SL900A

extends Gen2.IDS

Nested Class Summary
`static class` `Gen2.IDS.SL900A.AccessFifo`
`static class` `Gen2.IDS.SL900A.AccessFifoRead`
`static class` `Gen2.IDS.SL900A.AccessFifoStatus`
`static class` `Gen2.IDS.SL900A.AccessFifoWrite`
`static class` `Gen2.IDS.SL900A.ApplicationData`
`static class` `Gen2.IDS.SL900A.BatteryLevelReading`
`static class` `Gen2.IDS.SL900A.BatteryType`
`static class` `Gen2.IDS.SL900A.CalibrationData`
`static class` `Gen2.IDS.SL900A.CalSfe`
`static class` `Gen2.IDS.SL900A.Delay`
`static class` `Gen2.IDS.SL900A.DelayMode`
`static class` `Gen2.IDS.SL900A.EndLog`
`static class` `Gen2.IDS.SL900A.FifoSource`
`static class` `Gen2.IDS.SL900A.FifoStatus`
`static class` `Gen2.IDS.SL900A.GetBatteryLevel`
`static class` `Gen2.IDS.SL900A.GetCalibrationData`
`static class` `Gen2.IDS.SL900A.GetLogState`
`static class` `Gen2.IDS.SL900A.GetMeasurementLogLimit`
`static class` `Gen2.IDS.SL900A.GetMeasurementSetup`
`static class` `Gen2.IDS.SL900A.GetSensorValue`
`static class` `Gen2.IDS.SL900A.Initialize`
`static class` `Gen2.IDS.SL900A.Level`
`static class` `Gen2.IDS.SL900A.LimitCounter`
`static class` `Gen2.IDS.SL900A.LoggingForm`
`static class` `Gen2.IDS.SL900A.LogLimit`
`static class` `Gen2.IDS.SL900A.LogModeData`
`static class` `Gen2.IDS.SL900A.LogState`
`static class` `Gen2.IDS.SL900A.MeasurementSetupData`
`static class` `Gen2.IDS.SL900A.Sensor`
`static class` `Gen2.IDS.SL900A.SensorReading`
`static class` `Gen2.IDS.SL900A.SetCalibrationData`
`static class` `Gen2.IDS.SL900A.SetLogLimit`
`static class` `Gen2.IDS.SL900A.SetLogMode`
`static class` `Gen2.IDS.SL900A.SetPassword`
`static class` `Gen2.IDS.SL900A.SetSfeParameters`
`static class` `Gen2.IDS.SL900A.SetShelfLife`
`static class` `Gen2.IDS.SL900A.SfeParameters`
`static class` `Gen2.IDS.SL900A.ShelfLifeBlock0`
`static class` `Gen2.IDS.SL900A.ShelfLifeBlock1`
`static class` `Gen2.IDS.SL900A.StartLog`
`static class` `Gen2.IDS.SL900A.StatusFlags`
`static class` `Gen2.IDS.SL900A.StorageRule`
`static class` `Gen2.IDS.SL900A.SystemStatus`

Nested classes/interfaces inherited from class com.thingmagic.Gen2.IDS
`Gen2.IDS.SL900A`

Field Summary
`int` `accessPassword`
`byte` `commandCode`
`int` `password`
`Gen2.IDS.SL900A.Level` `passwordLevel`

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.IDS.SL900A(byte commandCode)`
`Gen2.IDS.SL900A(byte commandCode, int password, byte passwordLevel)`

Method Summary
`static short[]` `parseLogLimitsData(byte[] data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### commandCode

    public byte commandCode

### accessPassword

    public int accessPassword

### password

    public int password

### passwordLevel

    public Gen2.IDS.SL900A.Level passwordLevel

Constructor Detail

### Gen2.IDS.SL900A

    public Gen2.IDS.SL900A(byte commandCode)

### Gen2.IDS.SL900A

    public Gen2.IDS.SL900A(byte commandCode,
                           int password,
                           byte passwordLevel)

Method Detail

### parseLogLimitsData

    public static short[] parseLogLimitsData(byte[] data)